Compare commits

...
Sign in to create a new pull request.

27 commits

Author SHA1 Message Date
Fedora Release Engineering
30dab13835 Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild 2025-07-24 16:57:43 +00:00
Alexander Boström
0502ce5abe Migrated SPDX license tag from LicenseRef-Callaway-* 2025-07-07 20:42:11 +02:00
Alexander Boström
e1a2c457c9 Disable failing check-slapd 2025-07-06 21:02:18 +02:00
Alexander Boström
48d6ff9ffd Backport upstream patch: Fix check-ldap slapd start race 2025-07-06 21:02:12 +02:00
Alexander Boström
34d27af06a Run make check with -j1 2025-07-06 18:57:35 +02:00
Alexander Boström
b20565f627 Deduplicate man3 files 2025-07-06 18:57:29 +02:00
Alexander Boström
6ae8987ff3 Move static libraries to a separate subpackage 2025-07-06 17:11:26 +02:00
Alexander Boström
85127810bc Remove compatibility prior to RHEL8 2025-06-04 22:20:16 +02:00
Alexander Boström
a2513dfe4b Remove conditionals prior to RHEL8 2025-06-04 22:19:47 +02:00
Alexander Boström
fadb71703b Convert to %autorelease and %autochangelog
[skip changelog]
2025-06-04 22:16:17 +02:00
Alexander Boström
866928d33b Add upstream patch for autoconf 2.72 2025-06-04 22:15:56 +02:00
Björn Esser
ea01676f30
Add explicit BR: libxcrypt-devel
Signed-off-by: Björn Esser <besser82@fedoraproject.org>
2025-02-01 19:54:36 +01:00
Fedora Release Engineering
6758147f2f Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild 2025-01-20 07:28:21 +00:00
Miroslav Suchý
d29fb6498e convert license to SPDX
This is part of https://fedoraproject.org/wiki/Changes/SPDX_Licenses_Phase_4
2024-09-02 08:43:11 +02:00
Fedora Release Engineering
0082205083 Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild 2024-07-18 09:10:37 +00:00
Software Management Team
c7421dc24b Eliminate use of obsolete %patchN syntax (#2283636) 2024-05-30 12:46:47 +02:00
Fedora Release Engineering
b8b4396f07 Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild 2024-01-24 21:35:57 +00:00
Fedora Release Engineering
a09d1e2986 Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild 2024-01-20 22:02:06 +00:00
Fedora Release Engineering
75998ab1d1 Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-07-20 06:13:37 +00:00
Florian Weimer
a37b5d8b10 Port configure script to C99
Related to:

  <https://fedoraproject.org/wiki/Changes/PortingToModernC>
  <https://fedoraproject.org/wiki/Toolchain/PortingToModernC>
2023-04-13 13:29:14 +02:00
Alexander Boström
32e796347b Merge in missing history... 2023-03-08 17:15:51 +01:00
Alexander Boström
a6bee7d6e0 Remove conditionals prior to RHEL7 2023-03-08 17:14:34 +01:00
Alexander Boström
5b91e8048b Packaging cleanup
- remove obsolete _with_systemd conditional
- remove unused source files
2023-03-08 17:14:34 +01:00
Alexander Boström
9c74d75349 Packaging fixes
- Move libraries to a lib subdirectory
- Include pkgconfig files (#1525462) (#1565954) (#1931072)
2023-03-08 17:14:30 +01:00
Alexander Boström
09dc64a666 Packaging fixes
- Move libraries to a lib subdirectory
- Include pkgconfig files (#1525462) (#1565954) (#1931072)
2023-03-08 15:58:31 +01:00
Fedora Release Engineering
817968babc Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
Signed-off-by: Fedora Release Engineering <releng@fedoraproject.org>
2023-01-19 12:04:28 +00:00
Alexander Boström
65647b989f Update to 7.8.0 (#2143478) 2022-11-21 16:44:06 +01:00
13 changed files with 638 additions and 1238 deletions

1
.gitignore vendored
View file

@ -8,3 +8,4 @@
/heimdal-7.5.0-3e58559.tar.gz
/heimdal-7.7.0.tar.gz
/heimdal-7.7.1.tar.gz
/heimdal-7.8.0.tar.gz

453
changelog Normal file
View file

@ -0,0 +1,453 @@
* Wed Mar 08 2023 Alexander Boström <abo@root.snowtree.se> - 7.8.0-14
- Add upstream patch for autoconf 2.72
* Sat Feb 01 2025 Björn Esser <besser82@fedoraproject.org> - 7.8.0-13
- Add explicit BR: libxcrypt-devel
* Mon Jan 20 2025 Fedora Release Engineering <releng@fedoraproject.org> - 7.8.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
* Mon Sep 02 2024 Miroslav Suchý <msuchy@redhat.com> - 7.8.0-11
- convert license to SPDX
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.8.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.8.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 7.8.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.8.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
* Thu Apr 13 2023 Florian Weimer <fweimer@redhat.com> - 7.8.0-6
- Port configure script to C99
* Wed Mar 08 2023 Alexander Boström <abo@root.snowtree.se> - 7.8.0-5
- Remove conditionals prior to RHEL7
* Wed Mar 08 2023 Alexander Boström <abo@root.snowtree.se> - 7.8.0-4
- remove _with_systemd conditional
- remove unused source files
* Wed Mar 08 2023 Alexander Boström <abo@root.snowtree.se> - 7.8.0-3
- Move libraries to a lib subdirectory
- Include pkgconfig files (#1525462) (#1565954) (#1931072)
* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 7.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
* Mon Nov 21 2022 Alexander Boström <abo@root.snowtree.se> - 7.8.0-1
- Update to 7.8.0 (#2143478)
* Mon Nov 21 2022 Alexander Boström <abo@root.snowtree.se> - 7.7.1-3
- Restart services on upgrade
* Mon Nov 21 2022 Alexander Boström <abo@root.snowtree.se> - 7.7.1-2
- Delay service starts until after network is online (rhbz#2005501)
* Wed Nov 16 2022 Alexander Boström <abo@root.snowtree.se> - 7.7.1-1
- Update to 7.7.1
- Remove upstreamed patch
- Replace patch with sed command
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
* Tue Apr 13 2021 Alexander Boström <abo@root.snowtree.se> - 7.7.0-9
- Backport autoconf-2.70 fix
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Tue Mar 31 2020 Alexander Boström <abo@root.snowtree.se> - 7.7.0-6
- Do not buildrequire openldap-servers on RHEL8+
* Sat Mar 21 2020 Alexander Boström <abo@root.snowtree.se> - 7.7.0-5
- Add Python 3 code patch
- Use Python 3 binary path
- BuildRequire Python 3
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Fri Jan 17 2020 Jeff Law <law@redhat.com> - 7.7.0-3
- Fix configure tests compromised by LTO
* Sat Dec 21 2019 Alexander Boström <abo@root.snowtree.se> - 7.7.0-2
- Set timeout on make check
* Fri Dec 20 2019 Alexander Boström <abo@root.snowtree.se> - 7.7.0-1
- Update to 7.7.0
- Remove upstreamed patch
- New project URL
- Update buildreqs
- Add locale build fix
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Mon Jan 14 2019 Björn Esser <besser82@fedoraproject.org> - 7.5.0-7
- Rebuilt for libcrypt.so.2 (#1666033)
* Sun Jan 06 2019 Björn Esser <besser82@fedoraproject.org> - 7.5.0-6
- Add patch to explicitly use python2 binary, fixes FTBFS (#1604316)
- Do not run 'make dist', fixes FTBFS (#1604316)
- Make sure 'krb5-types.h' is build, fixes FTBFS (#1604316)
- Remove el5 bits
- Drop unneeded scriptlets for newer distros
- Use %%make_build and %%make_install macros
- Install license file using %%license in libs package
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Thu Mar 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 7.5.0-4
- Update Python 2 dependency declarations to new packaging standards
(See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 7.5.0-2
- Rebuilt for switch to libxcrypt
* Thu Dec 14 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.5.0-1
- Update to 7.5.0 GA release (CVE-2017-17439)
* Mon Oct 23 2017 Alexander Boström <abo@root.snowtree.se> - 7.4.0-5
- Backport fix to prevent wait() loop on non-existant child process
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
* Wed Jul 12 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.4.0-2
- Make test failures non-fatal
* Tue Jul 11 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.4.0-1
- Update to 7.4.0 GA release (CVE-2017-11103)
* Mon Apr 17 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.3.0-1
- Update to 7.3.0 GA release (CVE-2017-6594)
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
* Thu Dec 29 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.1.0-1
- Update to 7.1.0 GA release
- Drop all remaining xinetd bits
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-0.13.20150115gitc25f45a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Mon Aug 10 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.12.20150115gitc25f45a
- Fix ld.so.conf.d file conflict between 32-bit and 64-bit packages
(rhbz#1244316)
- Mark ld.so.conf.d as %%config(noreplace)
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-0.11.20150115gitc25f45a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Thu Jan 15 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.10.20150115gitc25f45a
- Update git snapshot to latest tip of heimdal-1-6-branch
- Remove upstreamed patches
- Add virtual provides for bundled(libtommath) (RHBZ #1118462)
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-0.10.20140621gita5adc06
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
* Mon Jul 07 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.9.20140621gita5adc06
- Remove OpenSSL BR and go back to using hcrypto with bundled libtommath.
OpenSSL is not thread safe without callbacks (RHBZ #1118462)
* Tue Jul 01 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.8.20140621gita5adc06
- Patch for parallel build failure in kadm5. Thanks Jakub Čajka.
- Remove comments about X11 binaries (we will never ship those).
* Sun Jun 22 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.7.20140621gita5adc06
- Update git snapshot to latest tip of heimdal-1-6-branch
* Sat Jun 07 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.6.20140606git966108b
- Update git snapshot to latest tip of heimdal-1-6-branch
- Don't ship xinetd support if the distro has systemd (RHBZ #613001)
* Fri May 30 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.5.20140529gitddde77b
- Update git snapshot to latest tip of heimdal-1-6-branch
- Use /sbin path in %%pre/%%post scripts for EL6 and EL5
- Install login.users(5) normally, since it doesn't conflict with anything
(RHBZ #613001)
- Don't ship ftpusers(5) (RHBZ #613001)
- Patch heimtools to deal with the commands' "heimdal-" prefixes (RHBZ #613001)
- Use "simple" systemd service type for kdc, kadmind, kpasswdd
- Add "--detach" flag in heimdal-ipropd-slave-wrapper to match the systemd
forking service type
- Patch kadmind to handle systemd's restrictions on setpgid() (RHBZ #613001)
* Thu May 22 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.4.20140522git229d8c7
- Update git snapshot to latest tip of heimdal-1-6-branch
- Drop upstreamed text-fx patch
- Install Texinfo files (RHBZ #613001)
- Add Provides: heimdal-static to -devel subpackage (RHBZ #613001)
- Drop %%defattr (RHBZ #613001)
- Add text content to kadmind.acl to help users (and remove a zero-length file)
- Install profile.d scripts with non-executable permissions
- Remove .la files
- Patch to remove AC_PROG_LIBTOOL macro
- Reload xinetd when using systemd
- Require logrotate and setup, since we drop config files into directories that
these packages own.
- Add unowned Heimdal directories in %%files
- Replace "heimdal" with %%{name} in %%files
- Do not BR libcap-ng-devel on EL5
* Tue Apr 29 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.3.20140429gitd60ba47
- Add BR libdb-devel on Fedora (RHBZ #613001)
- Add BR openssl-devel and libcap-ng-devel (RHBZ #613001)
- Only set BuildRoot on el5
- Alphabetize non-conditional BuildRequires
- Remove duplicate BR openldap-devel
* Tue Apr 29 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.2.20140326git7e6b55
- Update git snapshot to latest tip of heimdal-1-6-branch
- Rename Source11 with "heimdal-" prefix
- Use newer macro for UnversionedDocdirs change
* Mon Jan 06 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.1.20140106git46a508
- Package git snapshot from master branch
* Wed Oct 16 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-24.20130903gitb074e0b
- Disable autogen and parallel make on EL5
- Add pregenerated autoconf tarball as Source1
- Add script to pregenerate autoconf files as Source2
* Tue Sep 10 2013 Alexander Boström <abo@kth.se> - 1.5.3-23.20130903gitb074e0b
- Fix build. (Problem with symlinks to kcc.)
* Thu Sep 05 2013 Alexander Boström <abo@kth.se> - 1.5.3-22.20130903gitb074e0b
- Rename rename kcc to heimdal-kcc (conflicts in el5 and fedora)
- Rename kswitch to heimdal-kswitch in el6 too
* Tue Sep 03 2013 Alexander Boström <abo@kth.se> - 1.5.3-21.20130903gitb074e0b
- Update to latest git snapshot of heimdal-1-5-branch
- remove upstreamed patch
* Tue Sep 03 2013 Alexander Boström <abo@kth.se> - 1.5.3-20.20130813gitdcc7c13
- Split ipv6_loopbacks_fix.patch into one backport and one smaller change
* Tue Aug 20 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-19.20130813gitdcc7c13
- Build against libedit instead of readline (avoid GPL entanglements)
* Tue Aug 13 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-18.20130813gitdcc7c13
- Update to latest git snapshot of heimdal-1-5-branch
- remove upstreamed texinfo patches
* Tue Aug 13 2013 Alexander Boström <abo@kth.se> - 1.5.3-17.20130730gitd9b3691
- remove workaround for bogus check-iprop check failure
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-16.20130730gitd9b3691
- buildreq groff on el6 and older
- remove most comments from sysconfig file
- systemd: only use /etc/sysconfig/heimdal to specify the iprop master
host, via a wrapper script
- systemd: use Type=forking
- make systemd the default, check for known sysv systems
* Mon Aug 12 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-15.20130812git29f0a90
- Update to latest git snapshot of heimdal-1-5-branch
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-14.20130730gitd9b3691
- do not ghost files in owned directory
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-13.20130730gitd9b3691
- use global instead of define
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-12.20130730gitd9b3691
- add doc references to unit files
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-11.20130730gitd9b3691
- add missing req on xinetd
- remove slash after buildroot macro usage
- preserve timestamps of installed files
- move slaves config file to /etc
- no attributes on symlinks
- only ghost own the slave-stats file
* Fri Aug 09 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-10.20130730gitd9b3691
- add systemd files and _with_systemd conditional
- remove "--detach" from sysconfig comments
- tweak kadmind service description
- add comments about texinfo patches
* Fri Aug 09 2013 Alexander Boström <abo@kth.se> - 1.5.3-9.20130730gitd9b3691
- SysV scriptlets and initscript cleanups
- xinetd services ipv6 enabled
* Thu Aug 08 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-8.20130730gitd9b3691
- Add Debian's texinfo patch to hx509, plus my own hacks for 5.1
* Thu Aug 08 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-7.20130730gitd9b3691
- Add missing groff buildreq on F19 and above
- Tweak Summary
* Thu Aug 08 2013 Alexander Boström <abo@kth.se> - 1.5.3-6
- Add missing buildreqs
* Thu Aug 08 2013 Alexander Boström <abo@kth.se> - 1.5.3-5
- Update to post 1.5.3 snapshot, deprecating a couple of patches
- Add autogen.sh and extra BRs, build fixes.
* Thu Aug 08 2013 Alexander Boström <abo@kth.se> - 1.5.3-4
- No autoreconf
- More robust ?rhel macro usage
- BR libcom_err-devel instead of e2fsprogs-devel (but not on el5)
- el5 build fixes
* Tue Aug 06 2013 Alexander Boström <abo@kth.se> - 1.5.3-3
- Add heimdal-des-key-selection.patch
* Tue Aug 06 2013 Alexander Boström <abo@kth.se> - 1.5.3-2
- Use upstream tarball.
- Remove unused patches.
- Fix heimdal-kdc.conf
- Handle the case of no .mo files
* Tue Aug 06 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-1
- Update to 1.5.3 (tag from Git)
- Use the find_lang macro to include the translation files
- Add Getopt patch in order to build with Fedora's newer Perl
- Adjust Group to satisfy rpmlint
- Remove macros from comments to satisfy rpmlint
* Mon Jul 29 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.19
- really fix prefix munge patch
- fix texi build
* Wed Jul 3 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.18
- fix prefix munge patch
* Tue Jul 2 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.17
- rename kswitch to heimdal-kswitch (except on el6)
* Tue Jul 2 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.16
- ignore missing otp binaries
* Fri Jun 28 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.15
- fix license, fix macro-in-changelog
* Fri Jun 28 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.14
- enable dns_lookup_realm and dns_lookup_kdc in the sample config file
- changed logrotate conf, postrotate should not be required
- add kdc.conf
- move kadmind.acl to sysconfdir
* Thu Jun 27 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.13
- fix qop man symlink
* Thu Jun 27 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.12
- workstation does not require xinetd
- fix paths in xinetd confs
* Wed Jun 26 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.11
- fix symlinks
* Wed Jun 26 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.10
- provide/obsolete heimdal-kdc
* Wed Apr 10 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.9
- make PATH manipulation an optional subpackage
* Wed Apr 10 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.8
- rename to heimdal-* instead of *.heimdal
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.7
- split init script into multiple services
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.6
- move su to the workstation subpkg
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.5
- Add symlinks in the bin dir.
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.4
- Reuse /etc/security/access.conf from PAM.
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.3
- move daemon binaries to regular libexec dir, with executable name suffix
* Mon Apr 8 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.2
- move binaries from /usr/lib64/heimdal/bin to /usr/lib/heimdal/bin
* Mon Apr 8 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.1
- disable tests
* Wed Jul 4 2012 Rok Papež, ARNES <rok.papez@arnes.si> - 1.5.2-3
- updated to upstream 1.5.2
- added support for Fedora 17
- fixed wrong PATH on x86_64
- fixed IPv6 and multiple interfaces bug in krb5_parse_address:
https://bugzilla.redhat.com/show_bug.cgi?id=808147
- added support for .heimdal prefix to kcc
* Tue Oct 4 2011 Rok Papež, ARNES <rok.papez@arnes.si> - 1.5.1-1
- updated to upstream 1.5.1
* Tue Sep 27 2011 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.5.1.pre20110912git-2
- FESCo updates: https://fedorahosted.org/fesco/ticket/577
- Implicit requires removed, rpmbuild can figure them out itself
- Implicit provides removed, we are NOT compatible with krb5
- Enable hardened build:
https://fedoraproject.org/wiki/Packaging:Guidelines#PIE
https://fedoraproject.org/wiki/User:Kevin/DRAFT_When_to_use_PIE_compiler_flags
- Merged updates from Orion Poplawski
* Mon Sep 12 2011 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.5.1.pre20110912git-1.arnes
- Updated to Heimdal 1.5.1.pre20110912git
* Tue Nov 30 2010 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.4.1rc1-1.arnes
- Updated to Heimdal 1.4.1rc1
* Fri Jul 09 2010 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.3.3-1.arnes
- Updated to Heimdal 1.3.3
* Wed Apr 21 2010 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.3.2-2.arnes
- Updated to Heimdal 1.3.2
* Thu Sep 17 2009 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.3.0pre9-1
- Updated to Heimdal 1.3.0pre9
- Building on CentOS 5.3 i386 and Fedora 11 x86_64.
* Wed Jun 10 2009 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.2.1-9
- Fixed build for CentOS 4.7 (thanks to Nitzan Zaifman for bugreport)
* Mon Jun 8 2009 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.2.1-8
- Fixed paths for building on CentOS 5.3
- Rebuilt for CentOS 5.3
- removed obsolete X11 dependency
* Thu Feb 19 2009 Mitja Mihelic, ARNES <aaa-podpora@arnes.si> - 1.2.1-7
- added dependency on xinetd for heimdal-workstation
* Tue Jan 20 2009 Rok Papež, ARNES <aaa-podpora@arnes.si>
- Fixed permissions
* Wed Oct 8 2008 Rok Papež, ARNES <aaa-podpora@arnes.si>
- New specs for Heimdel 1.2.1, suggestions taken from both PDC and Mandrake specs file.
- Need to be compatible with MIT Kerberos 5 installation.
- Let MIT have priority

View file

@ -1,156 +0,0 @@
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/hx509/quote.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/hx509/quote.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/hx509/quote.py
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/python2
# -*- coding: utf-8 -*-
#
# Copyright (c) 2010 Kungliga Tekniska Högskolan
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/Makefile.am
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/Makefile.am
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/Makefile.am
@@ -89,7 +89,7 @@ idn_lookup_SOURCES = idn-lookup.c
LDADD = libwind.la $(LIB_roken)
-PYTHON = python
+PYTHON = python2
if !MAINTAINER_MODE
skip_python = test -f $@ ||
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/UnicodeData.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/UnicodeData.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/UnicodeData.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-bidi.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/gen-bidi.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-bidi.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-combining.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/gen-combining.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-combining.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-errorlist.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/gen-errorlist.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-errorlist.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-map.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/gen-map.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-map.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-normalize.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/gen-normalize.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-normalize.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-punycode-examples.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/gen-punycode-examples.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/gen-punycode-examples.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/generate.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/generate.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/generate.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/rfc3454.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/rfc3454.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/rfc3454.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/rfc4518.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/rfc4518.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/rfc4518.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/stringprep.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/stringprep.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/stringprep.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/util.py
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/lib/wind/util.py
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/lib/wind/util.py
@@ -1,4 +1,4 @@
-#!/usr/local/bin/python
+#!/usr/bin/python2
# -*- coding: iso-8859-1 -*-
# $Id$
Index: heimdal-3e58559362dd3f485e6d6659d587a9169a131391/windows/NTMakefile.w32
===================================================================
--- heimdal-3e58559362dd3f485e6d6659d587a9169a131391.orig/windows/NTMakefile.w32
+++ heimdal-3e58559362dd3f485e6d6659d587a9169a131391/windows/NTMakefile.w32
@@ -120,7 +120,7 @@ RC=rc
AWK_CMD=gawk.exe
YACC_CMD=bison.exe
LEX_CMD=flex.exe
-PYTHON=python.exe
+PYTHON=python2.exe
PERL=perl.exe
CMP=cmp.exe
MAKECAT=makecat.exe

View file

@ -0,0 +1,21 @@
commit 1b57b62d82a478c1fade350f0fb1d57031a8734e
Author: Bernd Kuhls <bernd@kuhls.net>
Date: Sat Feb 10 09:33:48 2024 +0100
cf/largefile.m4: Fix build with autoconf-2.72
Fixes https://github.com/heimdal/heimdal/issues/1201
diff --git a/cf/largefile.m4 b/cf/largefile.m4
index 5c54897be..cdbbc5543 100644
--- a/cf/largefile.m4
+++ b/cf/largefile.m4
@@ -10,7 +10,7 @@ dnl with generated code, such as lex
if test "$enable_largefile" != no -a "$ac_cv_sys_large_files" != no; then
CPPFLAGS="$CPPFLAGS -D_LARGE_FILES=$ac_cv_sys_large_files"
fi
-if test "$enable_largefile" != no -a "$ac_cv_sys_file_offset_bits" != no; then
+if test "$enable_largefile" != no -a "$ac_cv_sys_file_offset_bits" != no && test -n "$ac_cv_sys_file_offset_bits"; then
CPPFLAGS="$CPPFLAGS -D_FILE_OFFSET_BITS=$ac_cv_sys_file_offset_bits"
fi
])

View file

@ -0,0 +1,31 @@
From e93a13576532db5d46b365b73829e6c1600d48ff Mon Sep 17 00:00:00 2001
From: Nicolas Williams <nico@twosigma.com>
Date: Thu, 27 Dec 2018 13:32:46 -0600
Subject: [PATCH] Fix check-ldap slapd start race
We start slapd in the foreground (-d0) but backgrounded in the shell,
then we wait 4 seconds. This causes a race condition however. This
commit makes the slapd-init script more robust and limits the wait to
however many seconds (up to 30) that slapd needs to start service.
diff --git a/tests/ldap/slapd-init.in b/tests/ldap/slapd-init.in
index a3975aa67..f6e9fe93a 100644
--- a/tests/ldap/slapd-init.in
+++ b/tests/ldap/slapd-init.in
@@ -44,5 +44,15 @@ cp "`which slapd`" . || true # fails if running
echo "starting slapd"
./slapd -d0 -f "${srcdir}/slapd.conf" -h ldapi://.%2Fldap-socket &
+slapd_pid=$!
+
+tries=0
+while kill -0 $slapd_pid && [ ! -S ldap-socket ] &&
+ ! ldapsearch -l 2 -w '' -D '' -b "o=TEST,dc=H5L,dc=SE" -s base -H ldapi://.%2Fldap-socket >/dev/null &&
+ [ $tries -lt 30 ]; do
+ sleep 1
+ tries=`expr 1 + $tries`
+done
-sleep 4
+kill -0 $slapd_pid || exit 1
+[ -S ldap-socket ] || exit 1

View file

@ -0,0 +1,32 @@
Avoid implicit function declarations in the configure tests, to
prevent build failures with future compilers.
Submitted upstream: <https://github.com/heimdal/heimdal/pull/1085>
diff --git a/cf/find-func-no-libs2.m4 b/cf/find-func-no-libs2.m4
index 5e5ed0e69ba60f7b..a6b3ad6d347adc94 100644
--- a/cf/find-func-no-libs2.m4
+++ b/cf/find-func-no-libs2.m4
@@ -21,7 +21,7 @@ if eval "test \"\$ac_cv_func_$1\" != yes" ; then
*) ac_lib="-l$ac_lib" ;;
esac
LIBS="$6 $ac_lib $5 $ac_save_LIBS"
- AC_LINK_IFELSE([AC_LANG_PROGRAM([[$3]],[[$1($4)]])],[eval "if test -n \"$ac_lib\";then ac_cv_funclib_$1=$ac_lib; else ac_cv_funclib_$1=yes; fi";break])
+ AC_LINK_IFELSE([AC_LANG_PROGRAM([[char $1 (void);]],[[$1()]])],[eval "if test -n \"$ac_lib\";then ac_cv_funclib_$1=$ac_lib; else ac_cv_funclib_$1=yes; fi";break])
done
eval "ac_cv_funclib_$1=\${ac_cv_funclib_$1-no}"
LIBS="$ac_save_LIBS"
diff --git a/cf/have-struct-field.m4 b/cf/have-struct-field.m4
index bb7bcefbcc68a08c..3962d850645f88e4 100644
--- a/cf/have-struct-field.m4
+++ b/cf/have-struct-field.m4
@@ -7,7 +7,8 @@ dnl AC_HAVE_STRUCT_FIELD(struct, field, headers)
AC_DEFUN([AC_HAVE_STRUCT_FIELD], [
define(cache_val, translit(ac_cv_type_$1_$2, [A-Z ], [a-z_]))
AC_CACHE_CHECK([for $2 in $1], cache_val,[
-AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[$3]],
+AC_COMPILE_IFELSE([AC_LANG_PROGRAM([[#include <string.h>
+$3]],
[[$1 x; memset(&x, 0, sizeof(x)); x.$2]])],
[cache_val=yes],
[cache_val=no])

View file

@ -1,102 +0,0 @@
#! /bin/sh
#
# ipropd-master Startup script for Heimdal ipropd-master
#
# chkconfig: - 39 61
# description: Starts and stops the Heimdal ipropd-master
### BEGIN INIT INFO
# Provides: ipropd-master
# Required-Start: $local_fs $network $named
# Required-Stop: $local_fs $network
# Default-Start:
# Default-Stop:
# Short-Description: Starts and stops the Heimdal ipropd-master
# Description: Heimdal ipropd-master implements incremental propagation
### END INIT INFO
[ -f /etc/rc.d/init.d/functions ] && . /etc/rc.d/init.d/functions
exec=/usr/libexec/ipropd-master
prog=ipropd-master
MASTER_ARGS="--detach"
[ -e /etc/sysconfig/heimdal ] && . /etc/sysconfig/heimdal
args="${MASTER_ARGS}"
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon "$exec $args"
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc "$prog"
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View file

@ -1,102 +0,0 @@
#! /bin/sh
#
# ipropd-slave Startup script for Heimdal ipropd-slave
#
# chkconfig: - 39 61
# description: Starts and stops the Heimdal ipropd-slave
### BEGIN INIT INFO
# Provides: ipropd-slave
# Required-Start: $local_fs $network $named
# Required-Stop: $local_fs $network
# Default-Start:
# Default-Stop:
# Short-Description: Starts and stops the Heimdal ipropd-slave
# Description: Heimdal ipropd-slave implements incremental propagation
### END INIT INFO
[ -f /etc/rc.d/init.d/functions ] && . /etc/rc.d/init.d/functions
exec=/usr/libexec/ipropd-slave
prog=ipropd-slave
SLAVE_ARGS="--detach"
[ -e /etc/sysconfig/heimdal ] && . /etc/sysconfig/heimdal
args="${SLAVE_ARGS} ${MASTER}"
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon "$exec $args"
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc "$prog"
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View file

@ -1,102 +0,0 @@
#! /bin/sh
#
# heimdal-kadmind Startup script for Heimdal kadmind
#
# chkconfig: - 39 61
# description: Starts and stops the Heimdal kadmind
### BEGIN INIT INFO
# Provides: heimdal-kadmind
# Required-Start: $local_fs $network $named
# Required-Stop: $local_fs $network
# Default-Start:
# Default-Stop:
# Short-Description: Starts and stops the Heimdal kadmind
# Description: Heimdal kadmind implements remote administration in Heimdal
### END INIT INFO
[ -f /etc/rc.d/init.d/functions ] && . /etc/rc.d/init.d/functions
exec=/usr/libexec/heimdal-kadmind
prog=heimdal-kadmind
KADMIND_ARGS=""
[ -e /etc/sysconfig/heimdal ] && . /etc/sysconfig/heimdal
args="${KADMIND_ARGS} &"
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon "$exec $args"
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc "$prog"
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View file

@ -1,102 +0,0 @@
#! /bin/sh
#
# kdc Startup script for Heimdal kdc
#
# chkconfig: - 39 61
# description: Starts and stops the Heimdal kdc
### BEGIN INIT INFO
# Provides: kdc
# Required-Start: $local_fs $network $named
# Required-Stop: $local_fs $network
# Default-Start:
# Default-Stop:
# Short-Description: Starts and stops the Heimdal kdc
# Description: Heimdal KDC is a Kerberos 5 Key Distribution Center server
### END INIT INFO
[ -f /etc/rc.d/init.d/functions ] && . /etc/rc.d/init.d/functions
exec=/usr/libexec/kdc
prog=kdc
KDC_ARGS="--detach"
[ -e /etc/sysconfig/heimdal ] && . /etc/sysconfig/heimdal
args="${KDC_ARGS}"
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon "$exec $args"
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc "$prog"
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View file

@ -1,103 +0,0 @@
#! /bin/sh
#
# kpasswdd Startup script for Heimdal kpasswdd
#
# chkconfig: - 39 61
# description: Starts and stops the Heimdal kpasswdd
### BEGIN INIT INFO
# Provides: kpasswdd
# Required-Start: $local_fs $network $named
# Required-Stop: $local_fs $network
# Default-Start:
# Default-Stop:
# Short-Description: Starts and stops the Heimdal kpasswdd
# Description: Heimdal kpasswdd allows Kerberos 5 users to change \
# their KDC passwords
### END INIT INFO
[ -f /etc/rc.d/init.d/functions ] && . /etc/rc.d/init.d/functions
exec=/usr/libexec/kpasswdd
prog=kpasswdd
KPASSWD_ARGS=""
[ -e /etc/sysconfig/heimdal ] && . /etc/sysconfig/heimdal
args="${KPASSWD_ARGS} &"
lockfile=/var/lock/subsys/$prog
start() {
[ -x $exec ] || exit 5
[ -f $config ] || exit 6
echo -n $"Starting $prog: "
daemon "$exec $args"
retval=$?
echo
[ $retval -eq 0 ] && touch $lockfile
return $retval
}
stop() {
echo -n $"Stopping $prog: "
killproc "$prog"
retval=$?
echo
[ $retval -eq 0 ] && rm -f $lockfile
return $retval
}
restart() {
stop
start
}
reload() {
restart
}
force_reload() {
restart
}
rh_status() {
# run checks to determine if the service is running or use generic status
status $prog
}
rh_status_q() {
rh_status >/dev/null 2>&1
}
case "$1" in
start)
rh_status_q && exit 0
$1
;;
stop)
rh_status_q || exit 0
$1
;;
restart)
$1
;;
reload)
rh_status_q || exit 7
$1
;;
force-reload)
force_reload
;;
status)
rh_status
;;
condrestart|try-restart)
rh_status_q || exit 0
restart
;;
*)
echo $"Usage: $0 {start|stop|status|restart|condrestart|try-restart|reload|force-reload}"
exit 2
esac
exit $?

View file

@ -1,18 +1,14 @@
%global _hardened_build 1
%global libdir %{_libdir}/heimdal
%global bindir %{_exec_prefix}/lib/heimdal
# Use systemd unit files on RHEL 7 and above.
%if ! (0%{?rhel} && 0%{?rhel} < 7)
%global _with_systemd 1
%endif
%global prefix %{_libdir}/%{name}
%global exec_prefix %{_exec_prefix}/lib/%{name}
Name: heimdal
Version: 7.7.1
Release: 3%{?dist}
Version: 7.8.0
Release: %autorelease
Summary: A Kerberos 5 implementation without export restrictions
License: BSD and MIT
URL: http://www.heimdal.software/
# Tracked at https://github.com/abstrm/heimdal/blob/heimdal-7.8.0-spdx/doc/copyright.texi
License: BSD-2-Clause AND BSD-3-Clause AND HPND-export-US AND HPND-export2-US AND LicenseRef-Fedora-Public-Domain
URL: http://www.heimdal.software/heimdal
Source0: https://github.com/%{name}/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Source3: %{name}.sysconfig
Source4: %{name}.sh
@ -20,11 +16,6 @@ Source5: %{name}.csh
Source9: krb5.conf.sample
Source10: %{name}.logrotate
Source11: %{name}-bashrc
Source20: %{name}-kdc.init
Source21: %{name}-ipropd-master.init
Source22: %{name}-ipropd-slave.init
Source23: %{name}-kadmind.init
Source24: %{name}-kpasswdd.init
Source25: %{name}-kdc.conf
Source26: %{name}-kdc.service
Source27: %{name}-ipropd-master.service
@ -38,6 +29,9 @@ Source31: %{name}-ipropd-slave-wrapper
Patch1: heimdal-1.6.0-c25f45a-rename-commands.patch
Patch4: heimdal-7.7.0-configure.patch
Patch5: heimdal-7.7.0-58c8ad96-py3.patch
Patch6: heimdal-configure-c99.patch
Patch7: heimdal-7.8.0-1b57b62d-ac272.patch
Patch8: heimdal-7.8.0-e93a1357-slapdtest.patch
BuildRequires: gettext
BuildRequires: bison
@ -47,7 +41,7 @@ BuildRequires: libtool
BuildRequires: ncurses-devel
BuildRequires: openldap-devel
#Required for tests/ldap
%if (0%{?rhel} && 0%{?rhel} > 7)
%if (0%{?rhel})
# but not available on RHEL 8
%else
BuildRequires: openldap-servers
@ -58,32 +52,18 @@ BuildRequires: sqlite-devel
BuildRequires: texinfo
BuildRequires: libcom_err-devel
BuildRequires: libcap-ng-devel
%if (0%{?rhel} && 0%{?rhel} < 7)
BuildRequires: db4-devel
%else
BuildRequires: libdb-devel
%endif
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: python3
%if (0%{?rhel} && 0%{?rhel} < 7)
BuildRequires: groff
%else
BuildRequires: groff-base
%endif
%if 0%{?_with_systemd}
BuildRequires: systemd-units
%endif
BuildRequires: make
BuildRequires: libxcrypt-devel
# Bundled libtommath (https://bugzilla.redhat.com/1118462)
Provides: bundled(libtommath) = 0.42.0
# This macro was added in Fedora 20. Use the old version if it's undefined
# on older Fedoras and RHELs prior to RHEL 8.
# https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}
%description
Kerberos 5 is a network authentication and single sign-on system.
Heimdal is a free Kerberos 5 implementation without export restrictions
@ -104,16 +84,9 @@ use on workstations (kinit, klist, kdestroy, kpasswd)
%package server
Summary: Heimdal kerberos server
Requires: logrotate
%if 0%{?_with_systemd}
Requires(preun): systemd
Requires(postun): systemd
Requires(post): systemd
%else
Requires(post): chkconfig
Requires(preun): chkconfig
Requires(preun): initscripts
Requires(postun): initscripts
%endif
Provides: heimdal-kdc = %{version}-%{release}
Obsoletes: heimdal-kdc < 1.5
@ -134,12 +107,19 @@ Heimdal packages.
%package devel
Summary: Header and other development files for Heimdal kerberos
Provides: %{name}-static = %{version}-%{release}
%description devel
Contains files needed to compile and link software using the Heimdal
kerberos headers/libraries.
%package static
Summary: Static libraries for Heimdal kerberos
Requires: %{name}-devel = %{version}-%{release}
%description static
Contains files needed to statically link software using the Heimdal
kerberos headers/libraries.
%package path
Summary: Heimdal kerberos PATH manipulation
Requires: %{name}-libs
@ -152,14 +132,20 @@ PATH.
%prep
%setup -q
%patch1 -p1 -b .cmds
%patch4 -p1 -b .config
%patch5 -p1 -b .2to3
%patch -P1 -p1 -b .cmds
%patch -P4 -p1 -b .config
%patch -P5 -p1 -b .2to3
%patch -P6 -p1
%patch -P7 -p1
%patch -P8 -p1
for f in lib/*/*.py; do
sed -i "$f" -re 's,^#!/usr/(local/|)bin/python,#!/usr/bin/python3,'
done
# FIXME check-slapd fails
for f in tests/Makefile.{in,am}; do sed -i $f -re 's, ldap , ,'; done
./autogen.sh
%build
@ -172,7 +158,7 @@ autoreconf -ivf
%configure \
--prefix=%{_prefix} \
--includedir=%{_includedir}/%{name} \
--libdir=%{libdir} \
--libdir=%{prefix}/lib \
--enable-static \
--enable-shared \
--enable-pthread-support \
@ -195,35 +181,21 @@ touch po/localefiles
%make_build -C po mo
%check
# Several intermittent test failures here, so make this non-fatal:
# (timeout to debug hard to reproduce stuck build)
timeout 20m %make_build check || :
%make_build -j1 check
%install
%make_install
# install the init files
%if 0%{?_with_systemd}
# install systemd service files
mkdir -p %{buildroot}%{_unitdir}
pushd %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE26} heimdal-kdc.service
install -p -D -m 644 %{SOURCE27} heimdal-ipropd-master.service
install -p -D -m 644 %{SOURCE28} heimdal-ipropd-slave.service
install -p -D -m 644 %{SOURCE29} heimdal-kadmind.service
install -p -D -m 644 %{SOURCE30} heimdal-kpasswdd.service
popd
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_libexecdir}/ipropd-slave-wrapper
%else
# install legacy SysV init scripts
mkdir -p %{buildroot}%{_sysconfdir}/rc.d/init.d
pushd %{buildroot}%{_sysconfdir}/rc.d/init.d
install -p -D -m 755 %{SOURCE20} heimdal-kdc
install -p -D -m 755 %{SOURCE21} heimdal-ipropd-master
install -p -D -m 755 %{SOURCE22} heimdal-ipropd-slave
install -p -D -m 755 %{SOURCE23} heimdal-kadmind
install -p -D -m 755 %{SOURCE24} heimdal-kpasswdd
popd
%endif
# install systemd service files
mkdir -p %{buildroot}%{_unitdir}
pushd %{buildroot}%{_unitdir}
install -p -D -m 644 %{SOURCE26} heimdal-kdc.service
install -p -D -m 644 %{SOURCE27} heimdal-ipropd-master.service
install -p -D -m 644 %{SOURCE28} heimdal-ipropd-slave.service
install -p -D -m 644 %{SOURCE29} heimdal-kadmind.service
install -p -D -m 644 %{SOURCE30} heimdal-kpasswdd.service
popd
install -p -D -m 755 %{SOURCE31} %{buildroot}%{_libexecdir}/ipropd-slave-wrapper
install -p -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/heimdal
install -p -D -m 644 %{SOURCE4} %{buildroot}%{_sysconfdir}/profile.d/heimdal.sh
install -p -D -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/profile.d/heimdal.csh
@ -240,8 +212,6 @@ install -d -m 755 %{buildroot}/%{_pkgdocdir}
install -p -D -m 644 LICENSE %{buildroot}/%{_pkgdocdir}/LICENSE
install -p -D -m 644 %{SOURCE9} %{buildroot}/%{_pkgdocdir}/krb5.conf.sample
install -p -D -m 644 %{SOURCE11} %{buildroot}/%{_pkgdocdir}/bashrc
# we don't need pkgconfig file and info/dir
rm -rf %{buildroot}%{libdir}/pkgconfig
rm -rf %{buildroot}%{_infodir}/dir
# NOTICE: no support for X11
rm -f %{buildroot}%{_mandir}/man1/kx.1*
@ -257,10 +227,10 @@ find %{buildroot} -type f -name '*.la' -exec rm -f {} ';'
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat >> %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}
%{prefix}/lib
EOF
mkdir -p %{buildroot}%{bindir}/bin
mkdir -p %{buildroot}%{exec_prefix}/bin
mkdir -p %{buildroot}%{_mandir}/%{name}/man{1,5,8}
# rename clashes with other pkgs from <app> to heimdal-<app>
@ -268,10 +238,10 @@ for prog in kadmin kadmind kdestroy kinit klist kpasswd krb5-config ktutil su pa
do
if [ -e %{buildroot}%{_bindir}/${prog} ]; then
mv %{buildroot}%{_bindir}/{,%{name}-}${prog}
ln -s %{_bindir}/%{name}-${prog} %{buildroot}%{bindir}/bin/${prog}
ln -s %{_bindir}/%{name}-${prog} %{buildroot}%{exec_prefix}/bin/${prog}
elif [ -e %{buildroot}%{_sbindir}/${prog} ]; then
mv %{buildroot}%{_sbindir}/{,%{name}-}${prog}
ln -s %{_sbindir}/%{name}-${prog} %{buildroot}%{bindir}/bin/${prog}
ln -s %{_sbindir}/%{name}-${prog} %{buildroot}%{exec_prefix}/bin/${prog}
elif [ -e %{buildroot}%{_libexecdir}/${prog} ]; then
mv %{buildroot}%{_libexecdir}/{,%{name}-}${prog}
fi
@ -285,7 +255,7 @@ done
# If we have the prefixed name in one pkg we want it in all.
mv %{buildroot}%{_bindir}/{,%{name}-}kswitch
ln -s %{_bindir}/%{name}-kswitch %{buildroot}%{bindir}/bin/kswitch
ln -s %{_bindir}/%{name}-kswitch %{buildroot}%{exec_prefix}/bin/kswitch
mv %{buildroot}%{_mandir}/man1/{,%{name}-}kswitch.1
ln -s %{name}-kinit %{buildroot}%{_bindir}/kauth
@ -295,83 +265,51 @@ mv %{buildroot}%{_mandir}/man5/{,%{name}-}krb5.conf.5
rm %{buildroot}%{_mandir}/man5/qop.5
ln -s mech.5.gz %{buildroot}%{_mandir}/man5/qop.5.gz
sha256sum %{buildroot}%{_mandir}/man3/*.3 | sort >man3hash
firsthash="X"; firstname="X"
while read hash path; do
name="${path##*/}"
if [ "$hash" != "$firsthash" ]; then
firsthash="$hash"
firstname="${path##*/}"
else
rm "$path"
ln -s "$firstname".gz "$path".gz
fi
done <man3hash
rm man3hash
%find_lang %{name} --all-name
%post server
%if 0%{?_with_systemd}
%systemd_post heimdal-kdc.service
%systemd_post heimdal-ipropd-master.service
%systemd_post heimdal-ipropd-slave.service
%systemd_post heimdal-kadmind.service
%systemd_post heimdal-kpasswdd.service
%else
/sbin/chkconfig --add heimdal-kdc
/sbin/chkconfig --add heimdal-ipropd-master
/sbin/chkconfig --add heimdal-ipropd-slave
/sbin/chkconfig --add heimdal-kadmind
/sbin/chkconfig --add heimdal-kpasswdd
%endif
%systemd_post heimdal-kdc.service
%systemd_post heimdal-ipropd-master.service
%systemd_post heimdal-ipropd-slave.service
%systemd_post heimdal-kadmind.service
%systemd_post heimdal-kpasswdd.service
%preun server
%if 0%{?_with_systemd}
%systemd_preun heimdal-kdc.service
%systemd_preun heimdal-ipropd-master.service
%systemd_preun heimdal-ipropd-slave.service
%systemd_preun heimdal-kadmind.service
%systemd_preun heimdal-kpasswdd.service
%else
if [ $1 -eq 0 ] ; then
/sbin/service heimdal-kdc stop >/dev/null 2>&1 || :
/sbin/chkconfig --del heimdal-kdc
/sbin/service heimdal-ipropd-master stop >/dev/null 2>&1 || :
/sbin/chkconfig --del heimdal-ipropd-master
/sbin/service heimdal-ipropd-slave stop >/dev/null 2>&1 || :
/sbin/chkconfig --del heimdal-ipropd-slave
/sbin/service heimdal-kadmind stop >/dev/null 2>&1 || :
/sbin/chkconfig --del heimdal-kadmind
/sbin/service heimdal-kpasswdd stop >/dev/null 2>&1 || :
/sbin/chkconfig --del >/dev/null
fi
%endif
%systemd_preun heimdal-kdc.service
%systemd_preun heimdal-ipropd-master.service
%systemd_preun heimdal-ipropd-slave.service
%systemd_preun heimdal-kadmind.service
%systemd_preun heimdal-kpasswdd.service
%postun server
%if 0%{?_with_systemd}
%systemd_postun_with_restart heimdal-kdc.service
%systemd_postun_with_restart heimdal-ipropd-master.service
%systemd_postun_with_restart heimdal-ipropd-slave.service
%systemd_postun_with_restart heimdal-kadmind.service
%systemd_postun_with_restart heimdal-kpasswdd.service
%else
if [ $1 -eq 1 ] ; then
/sbin/service heimdal-kdc condrestart >/dev/null 2>&1 || :
/sbin/service heimdal-ipropd-master condrestart >/dev/null 2>&1 || :
/sbin/service heimdal-ipropd-slave condrestart >/dev/null 2>&1 || :
/sbin/service heimdal-kadmind condrestart >/dev/null 2>&1 || :
/sbin/service heimdal-kpasswdd condrestart >/dev/null 2>&1 || :
fi
%endif
%if (0%{?rhel} && 0%{?rhel} < 8)
%post libs
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
%preun libs
if [ $1 = 0 ] ; then
/sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi
%postun libs
/sbin/ldconfig
%endif
%systemd_postun_with_restart heimdal-kdc.service
%systemd_postun_with_restart heimdal-ipropd-master.service
%systemd_postun_with_restart heimdal-ipropd-slave.service
%systemd_postun_with_restart heimdal-kadmind.service
%systemd_postun_with_restart heimdal-kpasswdd.service
%files libs -f %{name}.lang
%dir %{bindir}
%dir %{bindir}/bin
%dir %{libdir}
%dir %{exec_prefix}
%dir %{exec_prefix}/bin
%dir %{prefix}
%dir %{prefix}/lib
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{libdir}/lib*.so*
%{libdir}/windc.so*
%{prefix}/lib/lib*.so.*
%{prefix}/lib/windc.so.*
%{_infodir}/heimdal.info*
%{_infodir}/hx509.info*
%{_mandir}/man5/%{name}-krb5.conf.5*
@ -389,11 +327,7 @@ fi
%license LICENSE
%files server
%if 0%{?_with_systemd}
%{_unitdir}/*.service
%else
%{_initrddir}/*
%endif
%{_sysconfdir}/logrotate.d/heimdal
%config(noreplace) %{_sysconfdir}/sysconfig/heimdal
%dir %attr(700,root,root) %{_localstatedir}/heimdal
@ -415,9 +349,7 @@ fi
%{_mandir}/man8/ipropd-master.8*
%{_libexecdir}/ipropd-slave
%{_mandir}/man8/ipropd-slave.8*
%if 0%{?_with_systemd}
%{_libexecdir}/ipropd-slave-wrapper
%endif
%{_libexecdir}/%{name}-kadmind
%{_mandir}/man8/%{name}-kadmind.8*
%{_libexecdir}/kdc
@ -433,14 +365,14 @@ fi
%{_prefix}/bin/bsearch
%{_mandir}/man1/bsearch.1*
%{_prefix}/bin/%{name}-pagsh
%{bindir}/bin/pagsh
%{exec_prefix}/bin/pagsh
%{_mandir}/man1/%{name}-pagsh.1*
%{_prefix}/bin/gsstool
%{_prefix}/bin/heimtools
%{_prefix}/bin/hxtool
%{_prefix}/bin/idn-lookup
%{_prefix}/bin/%{name}-kdestroy
%{bindir}/bin/kdestroy
%{exec_prefix}/bin/kdestroy
%{_mandir}/man1/%{name}-kdestroy.1*
%{_prefix}/bin/kf
%{_mandir}/man1/kf.1*
@ -449,465 +381,62 @@ fi
%{_libexecdir}/kimpersonate
%{_mandir}/man8/kimpersonate.8*
%{_prefix}/bin/%{name}-kinit
%{bindir}/bin/kinit
%{exec_prefix}/bin/kinit
%{_prefix}/bin/kauth
%{_mandir}/man1/%{name}-kinit.1*
%{_prefix}/bin/%{name}-klist
%{bindir}/bin/klist
%{exec_prefix}/bin/klist
%{_mandir}/man1/%{name}-klist.1*
%{_prefix}/bin/%{name}-kpasswd
%{bindir}/bin/kpasswd
%{exec_prefix}/bin/kpasswd
%{_mandir}/man1/%{name}-kpasswd.1*
%{_prefix}/bin/heimdal-kswitch
%{bindir}/bin/kswitch
%{exec_prefix}/bin/kswitch
%{_mandir}/man1/heimdal-kswitch.1*
%{_prefix}/bin/otp
%{_mandir}/man1/otp.1*
%{_prefix}/bin/otpprint
%{_mandir}/man1/otpprint.1*
%{_bindir}/%{name}-kadmin
%{bindir}/bin/kadmin
%{exec_prefix}/bin/kadmin
%{_mandir}/man1/%{name}-kadmin.1*
%{_libexecdir}/kcm
%{_mandir}/man8/kcm.8*
%{_libexecdir}/kfd
%{_mandir}/man8/kfd.8*
%{_bindir}/%{name}-ktutil
%{bindir}/bin/ktutil
%{exec_prefix}/bin/ktutil
%{_mandir}/man1/%{name}-ktutil.1*
# NOTICE: no support for X11
#%%{_libexecdir}/kxd
#%%{_mandir}/man8/kxd.8*
#%%{_mandir}/cat8/kxd.8*
%attr(04550,root,root) %{_prefix}/bin/%{name}-su
%{bindir}/bin/su
%{exec_prefix}/bin/su
%{_mandir}/man1/%{name}-su.1*
%files devel
%dir %{_libexecdir}/%{name}
%{_bindir}/%{name}-krb5-config
%{bindir}/bin/krb5-config
%{exec_prefix}/bin/krb5-config
%{_mandir}/man1/%{name}-krb5-config.1*
%{_includedir}/*
%{libdir}/lib*.a
%{libdir}/windc.a
%{prefix}/lib/lib*.so
%{prefix}/lib/windc.so
%{_mandir}/man3/*
%{_mandir}/man7/*
%{_libexecdir}/%{name}/asn1_compile
%{_libexecdir}/%{name}/asn1_print
%{_libexecdir}/%{name}/slc
%{prefix}/lib/pkgconfig/*.pc
%files static
%{prefix}/lib/lib*.a
%{prefix}/lib/windc.a
%files path
%{_sysconfdir}/profile.d/%{name}.sh
%{_sysconfdir}/profile.d/%{name}.csh
%changelog
* Mon Nov 21 2022 Alexander Boström <abo@root.snowtree.se> - 7.7.1-3
- Restart services on upgrade
* Mon Nov 21 2022 Alexander Boström <abo@root.snowtree.se> - 7.7.1-2
- Delay service starts until after network is online (rhbz#2005501)
* Wed Nov 16 2022 Alexander Boström <abo@root.snowtree.se> - 7.7.1-1
- Update to 7.7.1
- Remove upstreamed patch
- Replace patch with sed command
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
* Tue Apr 13 2021 Alexander Boström <abo@root.snowtree.se> - 7.7.0-9
- Backport autoconf-2.70 fix
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
* Tue Mar 31 2020 Alexander Boström <abo@root.snowtree.se> - 7.7.0-6
- Do not buildrequire openldap-servers on RHEL8+
* Sat Mar 21 2020 Alexander Boström <abo@root.snowtree.se> - 7.7.0-5
- Add Python 3 code patch
- Use Python 3 binary path
- BuildRequire Python 3
* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
* Fri Jan 17 2020 Jeff Law <law@redhat.com> - 7.7.0-3
- Fix configure tests compromised by LTO
* Sat Dec 21 2019 Alexander Boström <abo@root.snowtree.se> - 7.7.0-2
- Set timeout on make check
* Fri Dec 20 2019 Alexander Boström <abo@root.snowtree.se> - 7.7.0-1
- Update to 7.7.0
- Remove upstreamed patch
- New project URL
- Update buildreqs
- Add locale build fix
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
* Mon Jan 14 2019 Björn Esser <besser82@fedoraproject.org> - 7.5.0-7
- Rebuilt for libcrypt.so.2 (#1666033)
* Sun Jan 06 2019 Björn Esser <besser82@fedoraproject.org> - 7.5.0-6
- Add patch to explicitly use python2 binary, fixes FTBFS (#1604316)
- Do not run 'make dist', fixes FTBFS (#1604316)
- Make sure 'krb5-types.h' is build, fixes FTBFS (#1604316)
- Remove el5 bits
- Drop unneeded scriptlets for newer distros
- Use %%make_build and %%make_install macros
- Install license file using %%license in libs package
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
* Thu Mar 15 2018 Iryna Shcherbina <ishcherb@redhat.com> - 7.5.0-4
- Update Python 2 dependency declarations to new packaging standards
(See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
* Sat Jan 20 2018 Björn Esser <besser82@fedoraproject.org> - 7.5.0-2
- Rebuilt for switch to libxcrypt
* Thu Dec 14 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.5.0-1
- Update to 7.5.0 GA release (CVE-2017-17439)
* Mon Oct 23 2017 Alexander Boström <abo@root.snowtree.se> - 7.4.0-5
- Backport fix to prevent wait() loop on non-existant child process
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
* Wed Jul 12 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.4.0-2
- Make test failures non-fatal
* Tue Jul 11 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.4.0-1
- Update to 7.4.0 GA release (CVE-2017-11103)
* Mon Apr 17 2017 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.3.0-1
- Update to 7.3.0 GA release (CVE-2017-6594)
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 7.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
* Thu Dec 29 2016 Ken Dreyer <ktdreyer@ktdreyer.com> - 7.1.0-1
- Update to 7.1.0 GA release
- Drop all remaining xinetd bits
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.0-0.13.20150115gitc25f45a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
* Mon Aug 10 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.12.20150115gitc25f45a
- Fix ld.so.conf.d file conflict between 32-bit and 64-bit packages
(rhbz#1244316)
- Mark ld.so.conf.d as %%config(noreplace)
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-0.11.20150115gitc25f45a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
* Thu Jan 15 2015 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.10.20150115gitc25f45a
- Update git snapshot to latest tip of heimdal-1-6-branch
- Remove upstreamed patches
- Add virtual provides for bundled(libtommath) (RHBZ #1118462)
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.0-0.10.20140621gita5adc06
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
* Mon Jul 07 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.9.20140621gita5adc06
- Remove OpenSSL BR and go back to using hcrypto with bundled libtommath.
OpenSSL is not thread safe without callbacks (RHBZ #1118462)
* Tue Jul 01 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.8.20140621gita5adc06
- Patch for parallel build failure in kadm5. Thanks Jakub Čajka.
- Remove comments about X11 binaries (we will never ship those).
* Sun Jun 22 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.7.20140621gita5adc06
- Update git snapshot to latest tip of heimdal-1-6-branch
* Sat Jun 07 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.6.20140606git966108b
- Update git snapshot to latest tip of heimdal-1-6-branch
- Don't ship xinetd support if the distro has systemd (RHBZ #613001)
* Fri May 30 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.5.20140529gitddde77b
- Update git snapshot to latest tip of heimdal-1-6-branch
- Use /sbin path in %%pre/%%post scripts for EL6 and EL5
- Install login.users(5) normally, since it doesn't conflict with anything
(RHBZ #613001)
- Don't ship ftpusers(5) (RHBZ #613001)
- Patch heimtools to deal with the commands' "heimdal-" prefixes (RHBZ #613001)
- Use "simple" systemd service type for kdc, kadmind, kpasswdd
- Add "--detach" flag in heimdal-ipropd-slave-wrapper to match the systemd
forking service type
- Patch kadmind to handle systemd's restrictions on setpgid() (RHBZ #613001)
* Thu May 22 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.4.20140522git229d8c7
- Update git snapshot to latest tip of heimdal-1-6-branch
- Drop upstreamed text-fx patch
- Install Texinfo files (RHBZ #613001)
- Add Provides: heimdal-static to -devel subpackage (RHBZ #613001)
- Drop %%defattr (RHBZ #613001)
- Add text content to kadmind.acl to help users (and remove a zero-length file)
- Install profile.d scripts with non-executable permissions
- Remove .la files
- Patch to remove AC_PROG_LIBTOOL macro
- Reload xinetd when using systemd
- Require logrotate and setup, since we drop config files into directories that
these packages own.
- Add unowned Heimdal directories in %%files
- Replace "heimdal" with %%{name} in %%files
- Do not BR libcap-ng-devel on EL5
* Tue Apr 29 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.3.20140429gitd60ba47
- Add BR libdb-devel on Fedora (RHBZ #613001)
- Add BR openssl-devel and libcap-ng-devel (RHBZ #613001)
- Only set BuildRoot on el5
- Alphabetize non-conditional BuildRequires
- Remove duplicate BR openldap-devel
* Tue Apr 29 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.2.20140326git7e6b55
- Update git snapshot to latest tip of heimdal-1-6-branch
- Rename Source11 with "heimdal-" prefix
- Use newer macro for UnversionedDocdirs change
* Mon Jan 06 2014 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.6.0-0.1.20140106git46a508
- Package git snapshot from master branch
* Wed Oct 16 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-24.20130903gitb074e0b
- Disable autogen and parallel make on EL5
- Add pregenerated autoconf tarball as Source1
- Add script to pregenerate autoconf files as Source2
* Tue Sep 10 2013 Alexander Boström <abo@kth.se> - 1.5.3-23.20130903gitb074e0b
- Fix build. (Problem with symlinks to kcc.)
* Thu Sep 05 2013 Alexander Boström <abo@kth.se> - 1.5.3-22.20130903gitb074e0b
- Rename rename kcc to heimdal-kcc (conflicts in el5 and fedora)
- Rename kswitch to heimdal-kswitch in el6 too
* Tue Sep 03 2013 Alexander Boström <abo@kth.se> - 1.5.3-21.20130903gitb074e0b
- Update to latest git snapshot of heimdal-1-5-branch
- remove upstreamed patch
* Tue Sep 03 2013 Alexander Boström <abo@kth.se> - 1.5.3-20.20130813gitdcc7c13
- Split ipv6_loopbacks_fix.patch into one backport and one smaller change
* Tue Aug 20 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-19.20130813gitdcc7c13
- Build against libedit instead of readline (avoid GPL entanglements)
* Tue Aug 13 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-18.20130813gitdcc7c13
- Update to latest git snapshot of heimdal-1-5-branch
- remove upstreamed texinfo patches
* Tue Aug 13 2013 Alexander Boström <abo@kth.se> - 1.5.3-17.20130730gitd9b3691
- remove workaround for bogus check-iprop check failure
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-16.20130730gitd9b3691
- buildreq groff on el6 and older
- remove most comments from sysconfig file
- systemd: only use /etc/sysconfig/heimdal to specify the iprop master
host, via a wrapper script
- systemd: use Type=forking
- make systemd the default, check for known sysv systems
* Mon Aug 12 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-15.20130812git29f0a90
- Update to latest git snapshot of heimdal-1-5-branch
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-14.20130730gitd9b3691
- do not ghost files in owned directory
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-13.20130730gitd9b3691
- use global instead of define
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-12.20130730gitd9b3691
- add doc references to unit files
* Mon Aug 12 2013 Alexander Boström <abo@kth.se> - 1.5.3-11.20130730gitd9b3691
- add missing req on xinetd
- remove slash after buildroot macro usage
- preserve timestamps of installed files
- move slaves config file to /etc
- no attributes on symlinks
- only ghost own the slave-stats file
* Fri Aug 09 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-10.20130730gitd9b3691
- add systemd files and _with_systemd conditional
- remove "--detach" from sysconfig comments
- tweak kadmind service description
- add comments about texinfo patches
* Fri Aug 09 2013 Alexander Boström <abo@kth.se> - 1.5.3-9.20130730gitd9b3691
- SysV scriptlets and initscript cleanups
- xinetd services ipv6 enabled
* Thu Aug 08 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-8.20130730gitd9b3691
- Add Debian's texinfo patch to hx509, plus my own hacks for 5.1
* Thu Aug 08 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-7.20130730gitd9b3691
- Add missing groff buildreq on F19 and above
- Tweak Summary
* Thu Aug 08 2013 Alexander Boström <abo@kth.se> - 1.5.3-6
- Add missing buildreqs
* Thu Aug 08 2013 Alexander Boström <abo@kth.se> - 1.5.3-5
- Update to post 1.5.3 snapshot, deprecating a couple of patches
- Add autogen.sh and extra BRs, build fixes.
* Thu Aug 08 2013 Alexander Boström <abo@kth.se> - 1.5.3-4
- No autoreconf
- More robust ?rhel macro usage
- BR libcom_err-devel instead of e2fsprogs-devel (but not on el5)
- el5 build fixes
* Tue Aug 06 2013 Alexander Boström <abo@kth.se> - 1.5.3-3
- Add heimdal-des-key-selection.patch
* Tue Aug 06 2013 Alexander Boström <abo@kth.se> - 1.5.3-2
- Use upstream tarball.
- Remove unused patches.
- Fix heimdal-kdc.conf
- Handle the case of no .mo files
* Tue Aug 06 2013 Ken Dreyer <ktdreyer@ktdreyer.com> - 1.5.3-1
- Update to 1.5.3 (tag from Git)
- Use the find_lang macro to include the translation files
- Add Getopt patch in order to build with Fedora's newer Perl
- Adjust Group to satisfy rpmlint
- Remove macros from comments to satisfy rpmlint
* Mon Jul 29 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.19
- really fix prefix munge patch
- fix texi build
* Wed Jul 3 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.18
- fix prefix munge patch
* Tue Jul 2 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.17
- rename kswitch to heimdal-kswitch (except on el6)
* Tue Jul 2 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.16
- ignore missing otp binaries
* Fri Jun 28 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.15
- fix license, fix macro-in-changelog
* Fri Jun 28 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.14
- enable dns_lookup_realm and dns_lookup_kdc in the sample config file
- changed logrotate conf, postrotate should not be required
- add kdc.conf
- move kadmind.acl to sysconfdir
* Thu Jun 27 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.13
- fix qop man symlink
* Thu Jun 27 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.12
- workstation does not require xinetd
- fix paths in xinetd confs
* Wed Jun 26 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.11
- fix symlinks
* Wed Jun 26 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.10
- provide/obsolete heimdal-kdc
* Wed Apr 10 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.9
- make PATH manipulation an optional subpackage
* Wed Apr 10 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.8
- rename to heimdal-* instead of *.heimdal
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.7
- split init script into multiple services
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.6
- move su to the workstation subpkg
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.5
- Add symlinks in the bin dir.
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.4
- Reuse /etc/security/access.conf from PAM.
* Tue Apr 9 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.3
- move daemon binaries to regular libexec dir, with executable name suffix
* Mon Apr 8 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.2
- move binaries from /usr/lib64/heimdal/bin to /usr/lib/heimdal/bin
* Mon Apr 8 2013 Alexander Boström <abo@kth.se> - 1.5.2-3.kth.1
- disable tests
* Wed Jul 4 2012 Rok Papež, ARNES <rok.papez@arnes.si> - 1.5.2-3
- updated to upstream 1.5.2
- added support for Fedora 17
- fixed wrong PATH on x86_64
- fixed IPv6 and multiple interfaces bug in krb5_parse_address:
https://bugzilla.redhat.com/show_bug.cgi?id=808147
- added support for .heimdal prefix to kcc
* Tue Oct 4 2011 Rok Papež, ARNES <rok.papez@arnes.si> - 1.5.1-1
- updated to upstream 1.5.1
* Tue Sep 27 2011 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.5.1.pre20110912git-2
- FESCo updates: https://fedorahosted.org/fesco/ticket/577
- Implicit requires removed, rpmbuild can figure them out itself
- Implicit provides removed, we are NOT compatible with krb5
- Enable hardened build:
https://fedoraproject.org/wiki/Packaging:Guidelines#PIE
https://fedoraproject.org/wiki/User:Kevin/DRAFT_When_to_use_PIE_compiler_flags
- Merged updates from Orion Poplawski
* Mon Sep 12 2011 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.5.1.pre20110912git-1.arnes
- Updated to Heimdal 1.5.1.pre20110912git
* Tue Nov 30 2010 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.4.1rc1-1.arnes
- Updated to Heimdal 1.4.1rc1
* Fri Jul 09 2010 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.3.3-1.arnes
- Updated to Heimdal 1.3.3
* Wed Apr 21 2010 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.3.2-2.arnes
- Updated to Heimdal 1.3.2
* Thu Sep 17 2009 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.3.0pre9-1
- Updated to Heimdal 1.3.0pre9
- Building on CentOS 5.3 i386 and Fedora 11 x86_64.
* Wed Jun 10 2009 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.2.1-9
- Fixed build for CentOS 4.7 (thanks to Nitzan Zaifman for bugreport)
* Mon Jun 8 2009 Rok Papež, ARNES <aaa-podpora@arnes.si> - 1.2.1-8
- Fixed paths for building on CentOS 5.3
- Rebuilt for CentOS 5.3
- removed obsolete X11 dependency
* Thu Feb 19 2009 Mitja Mihelic, ARNES <aaa-podpora@arnes.si> - 1.2.1-7
- added dependency on xinetd for heimdal-workstation
* Tue Jan 20 2009 Rok Papež, ARNES <aaa-podpora@arnes.si>
- Fixed permissions
* Wed Oct 8 2008 Rok Papež, ARNES <aaa-podpora@arnes.si>
- New specs for Heimdel 1.2.1, suggestions taken from both PDC and Mandrake specs file.
- Need to be compatible with MIT Kerberos 5 installation.
- Let MIT have priority
%autochangelog

View file

@ -1 +1 @@
SHA512 (heimdal-7.7.1.tar.gz) = c77def1d32301caa8675297152a534919459a65bd1c5353cdc8795c07aa7a94fd319b697b98e02233ef25eaeedb36420edd139c1e22d68d54bb991343a11a369
SHA512 (heimdal-7.8.0.tar.gz) = 0167345aca77d65b7a1113874eee5b65ec6e1fec1f196d57e571265409fa35ef95a673a4fd4aafbb0ab5fb5b246b97412353a68d6613a8aff6393a9f1e72999e